summaryrefslogtreecommitdiff
path: root/scripts/start.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/start.sh')
-rwxr-xr-xscripts/start.sh13
1 files changed, 10 insertions, 3 deletions
diff --git a/scripts/start.sh b/scripts/start.sh
index 6298bbd..c773303 100755
--- a/scripts/start.sh
+++ b/scripts/start.sh
@@ -1,6 +1,13 @@
#!/bin/bash
-if [[ ${#} == 0 ]]; then
- exec "bash"
-else
+set -vxe
+if [[ "${@}" == bash* ]]; then
exec "${@}"
fi
+
+if [[ -n ${JUPYTER_API_TOKEN} ]]; then
+ exec jupyterhub-singleuser --ip=0.0.0.0 "${@}"
+elif [[ -n ${JUPYTER_ENABLE_LAB} ]]; then
+ exec jupyter labhub --ip=0.0.0.0 "${@}"
+else
+ exec jupyter notebook --ip=0.0.0.0 "${@}"
+fi